--- old/usr/src/cmd/make/bin/read.cc	2015-05-20 12:19:52.739395776 -0400
+++ new/usr/src/cmd/make/bin/read.cc	2015-05-20 12:19:52.751634412 -0400
@@ -41,6 +41,7 @@
 #include <mksh/read.h>		/* get_next_block_fn() */
 #include <sys/uio.h>		/* read() */
 #include <unistd.h>		/* read(), unlink() */
+#include <libintl.h>
 
 
 /*
@@ -117,7 +118,7 @@
 	wchar_t * wcb = get_wstring(makefile_name->string_mb);
 
 	if (max_include_depth++ >= 40) {
-		fatal(catgets(catd, 1, 66, "Too many nested include statements"));
+		fatal(gettext("Too many nested include statements"));
 	}
 	if (makefile->body.makefile.contents != NULL) {
 		retmem(makefile->body.makefile.contents);
@@ -150,10 +151,10 @@
 				add_dir_to_path(path, &makefile_path, -1);
 				free(path);
 				    
-				add_dir_to_path(NOCATGETS("/usr/share/lib/make"),
+				add_dir_to_path("/usr/share/lib/make",
 						&makefile_path,
 						-1);
-				add_dir_to_path(NOCATGETS("/etc/default"),
+				add_dir_to_path("/etc/default",
 						&makefile_path,
 						-1);
 
@@ -204,16 +205,16 @@
 		if (lock_makefile && 
 		    !do_not_exec_rule) {
 
-			 make_state_lockfile = getmem(strlen(make_state->string_mb) + strlen(NOCATGETS(".lock")) + 1);
+			 make_state_lockfile = getmem(strlen(make_state->string_mb) + strlen(".lock") + 1);
 			 (void) sprintf(make_state_lockfile,
-						NOCATGETS("%s.lock"),
+						"%s.lock",
 						make_state->string_mb);
 			(void) file_lock(make_state->string_mb,
 					 make_state_lockfile,
 					 (int *) &make_state_locked,
 					 0);
 			if(!make_state_locked) {
-				printf(NOCATGETS("-- NO LOCKING for read\n"));
+				printf("-- NO LOCKING for read\n");
 				retmem_mb(make_state_lockfile);
 				make_state_lockfile = 0;
 				return failed;
@@ -226,7 +227,7 @@
 			    (doname(makefile_name, true, false) == build_failed)) {
 				if (complain) {
 					(void) fprintf(stderr,
-						       catgets(catd, 1, 237, "make: Couldn't make `%s'\n"),
+						       gettext("make: Couldn't make `%s'\n"),
 						       makefile_name->string_mb);
 				}
 				max_include_depth--;
@@ -243,12 +244,12 @@
 				if (complain ||
 				    (makefile_name->stat.stat_errno != ENOENT)) {
 					if (must_exist) {
-						fatal(catgets(catd, 1, 68, "Can't find `%s': %s"),
+						fatal(gettext("Can't find `%s': %s"),
 						      makefile_name->string_mb,
 						      errmsg(makefile_name->
 							     stat.stat_errno));
 					} else {
-						warning(catgets(catd, 1, 69, "Can't find `%s': %s"),
+						warning(gettext("Can't find `%s': %s"),
 							makefile_name->string_mb,
 							errmsg(makefile_name->
 							       stat.stat_errno));
@@ -293,11 +294,11 @@
 			if (source->fd < 0) {
 				if (complain || (errno != ENOENT)) {
 					if (must_exist) {
-						fatal(catgets(catd, 1, 70, "Can't open `%s': %s"),
+						fatal(gettext("Can't open `%s': %s"),
 						      makefile_name->string_mb,
 						      errmsg(errno));
 					} else {
-						warning(catgets(catd, 1, 71, "Can't open `%s': %s"),
+						warning(gettext("Can't open `%s': %s"),
 							makefile_name->string_mb,
 							errmsg(errno));
 					}
@@ -339,7 +340,7 @@
 		int		num_mb_chars;
 		size_t		num_wc_chars;
 
-		MBSTOWCS(wcs_buffer, NOCATGETS("Standard in"));
+		MBSTOWCS(wcs_buffer, "Standard in");
 		makefile_name = GETNAME(wcs_buffer, FIND_LENGTH);
 		/*
 		 * Memory to read standard in, then convert it
@@ -348,7 +349,7 @@
 		stdin_buffer_start =
 		  stdin_text_p = getmem(length = 1024);
 		stdin_buffer_end = stdin_text_p + length;
-		MBSTOWCS(wcs_buffer, NOCATGETS("standard input"));
+		MBSTOWCS(wcs_buffer, "standard input");
 		file_being_read = (wchar_t *) wsdup(wcs_buffer);
 		line_number = 0;
 		while ((n = read(fileno(stdin),
@@ -374,7 +375,7 @@
 			}
 		}
 		if (n < 0) {
-			fatal(catgets(catd, 1, 72, "Error reading standard input: %s"),
+			fatal(gettext("Error reading standard input: %s"),
 			      errmsg(errno));
 		}
 		stdin_text_p = stdin_buffer_start;
@@ -405,12 +406,12 @@
 	}
 	line_number = 1;
 	if (trace_reader) {
-		(void) printf(catgets(catd, 1, 73, ">>>>>>>>>>>>>>>> Reading makefile %s\n"),
+		(void) printf(gettext(">>>>>>>>>>>>>>>> Reading makefile %s\n"),
 			      makefile_name->string_mb);
 	}
 	parse_makefile(makefile_name, source);
 	if (trace_reader) {
-		(void) printf(catgets(catd, 1, 74, ">>>>>>>>>>>>>>>> End of makefile %s\n"),
+		(void) printf(gettext(">>>>>>>>>>>>>>>> End of makefile %s\n"),
 			      makefile_name->string_mb);
 	}
 	if(file_being_read) {
@@ -729,8 +730,8 @@
 	if ((makefile_type == reading_makefile) &&
 	    !source->already_expanded) {
 	    if (include_space[0] == (int) nul_char) {
-		MBSTOWCS(include_space, NOCATGETS("include "));
-		MBSTOWCS(include_tab, NOCATGETS("include\t"));
+		MBSTOWCS(include_space, "include ");
+		MBSTOWCS(include_tab, "include\t");
 	    }
 	    if ((IS_WEQUALN(source_p, include_space, 8)) ||
 		(IS_WEQUALN(source_p, include_tab, 8))) {
@@ -873,7 +874,7 @@
 					     false,
 					     true,
 					     false) == failed) {
-				fatal_reader(catgets(catd, 1, 75, "Read of include file `%s' failed"),
+				fatal_reader(gettext("Read of include file `%s' failed"),
 					     makefile_name->string_mb);
 			}
 			makefile_type = save_makefile_type;
@@ -1059,10 +1060,10 @@
 			break;
 		case newline_char:
 			if (paren_count > 0) {
-				fatal_reader(catgets(catd, 1, 76, "Unmatched `(' on line"));
+				fatal_reader(gettext("Unmatched `(' on line"));
 			}
 			if (brace_count > 0) {
-				fatal_reader(catgets(catd, 1, 77, "Unmatched `{' on line"));
+				fatal_reader(gettext("Unmatched `{' on line"));
 			}
 			source_p++;
 			/* Enter name */
@@ -1115,7 +1116,7 @@
 			if (paren_count + brace_count > 0) {
 				break;
 			}
-			fatal_reader(catgets(catd, 1, 78, "Unexpected comment seen"));
+			fatal_reader(gettext("Unexpected comment seen"));
 		case dollar_char:
 			if (source->already_expanded) {
 				break;
@@ -1150,7 +1151,7 @@
 			break;
 		case parenright_char:
 			if (--paren_count < 0) {
-				fatal_reader(catgets(catd, 1, 79, "Unmatched `)' on line"));
+				fatal_reader(gettext("Unmatched `)' on line"));
 			}
 			break;
 		case braceleft_char:
@@ -1158,7 +1159,7 @@
 			break;
 		case braceright_char:
 			if (--brace_count < 0) {
-				fatal_reader(catgets(catd, 1, 80, "Unmatched `}' on line"));
+				fatal_reader(gettext("Unmatched `}' on line"));
 			}
 			break;
 		case ampersand_char:
@@ -1203,7 +1204,7 @@
 			/* End of the target list. We now start reading */
 			/* dependencies or a conditional assignment */
 			if (separator != none_seen) {
-				fatal_reader(catgets(catd, 1, 81, "Extra `:', `::', or `:=' on dependency line"));
+				fatal_reader(gettext("Extra `:', `::', or `:=' on dependency line"));
 			}
 			/* Enter the last target */
 			if ((string_start != source_p) ||
@@ -1235,7 +1236,7 @@
 				goto scan_colon_label;
 			case equal_char:
 				if(svr4) {
-				  fatal_reader(catgets(catd, 1, 82, "syntax error"));
+				  fatal_reader(gettext("syntax error"));
 				}
 				separator = conditional_seen;
 				source_p++;
@@ -1258,7 +1259,7 @@
 			/* End of reading names. Start reading the rule */
 			if ((separator != one_colon) &&
 			    (separator != two_colon)) {
-				fatal_reader(catgets(catd, 1, 83, "Unexpected command seen"));
+				fatal_reader(gettext("Unexpected command seen"));
 			}
 			/* Enter the last dependency */
 			if ((string_start != source_p) ||
@@ -1385,7 +1386,7 @@
 				if(!svr4) {
 				  append = true;
 				} else {
-				  fatal_reader(catgets(catd, 1, 84, "Must be a separator on rules"));
+				  fatal_reader(gettext("Must be a separator on rules"));
 				}
 				break;
 			default:
@@ -1412,9 +1413,9 @@
 				/* Reader must special check for "MACRO:sh=" */
 				/* notation */
 				if (sh_name == NULL) {
-					MBSTOWCS(wcs_buffer, NOCATGETS("sh"));
+					MBSTOWCS(wcs_buffer, "sh");
 					sh_name = GETNAME(wcs_buffer, FIND_LENGTH);
-					MBSTOWCS(wcs_buffer, NOCATGETS("shell"));
+					MBSTOWCS(wcs_buffer, "shell");
 					shell_name = GETNAME(wcs_buffer, FIND_LENGTH);
 				}
 
@@ -1483,10 +1484,10 @@
 					break;
 				} 
 				if(svr4) {
-				  fatal_reader(catgets(catd, 1, 85, "syntax error"));
+				  fatal_reader(gettext("syntax error"));
 				}
 				else {
-				  fatal_reader(catgets(catd, 1, 86, "Macro assignment on dependency line"));
+				  fatal_reader(gettext("Macro assignment on dependency line"));
 				}
 			}
 			if (append) {
@@ -1985,21 +1986,21 @@
  *	Error states
  */
 case illegal_bytes_state:
-	fatal_reader(catgets(catd, 1, 340, "Invalid byte sequence"));
+	fatal_reader(gettext("Invalid byte sequence"));
 case illegal_eoln_state:
 	if (line_number > 1) {
 		if (line_started_with_space == (line_number - 1)) {
 			line_number--;
-			fatal_reader(catgets(catd, 1, 90, "Unexpected end of line seen\n\t*** missing separator (did you mean TAB instead of 8 spaces?)"));
+			fatal_reader(gettext("Unexpected end of line seen\n\t*** missing separator (did you mean TAB instead of 8 spaces?)"));
 		}
 	}
-	fatal_reader(catgets(catd, 1, 87, "Unexpected end of line seen"));
+	fatal_reader(gettext("Unexpected end of line seen"));
 case poorly_formed_macro_state:
-	fatal_reader(catgets(catd, 1, 88, "Badly formed macro assignment"));
+	fatal_reader(gettext("Badly formed macro assignment"));
 case exit_state:
 	return;
 default:
-	fatal_reader(catgets(catd, 1, 89, "Internal error. Unknown reader state"));
+	fatal_reader(gettext("Internal error. Unknown reader state"));
 }
 }
 
@@ -2087,7 +2088,7 @@
 					target_group_member =
 					  find_target_groups(target, i, reset);
 					if(target_group_member == NULL) {
-						fatal_reader(catgets(catd, 1, 328, "Unexpected '+' on dependency line"));
+						fatal_reader(gettext("Unexpected '+' on dependency line"));
 					}
 				}
 				reset = false;
--- old/usr/src/cmd/make/bin/read2.cc	2015-05-20 12:19:53.338859367 -0400
+++ new/usr/src/cmd/make/bin/read2.cc	2015-05-20 12:19:53.351096777 -0400
@@ -37,6 +37,7 @@
 #include <mksh/macro.h>		/* expand_value() */
 #include <mksh/misc.h>		/* retmem() */
 #include <stdarg.h>		/* va_list, va_start(), va_end() */
+#include <libintl.h>
 
 /*
  * Defined macros
@@ -671,7 +672,7 @@
 			target->colons = separator;
 		} else {
 			if (target->colons != separator) {
-				fatal_reader(catgets(catd, 1, 92, ":/:: conflict for target `%s'"),
+				fatal_reader(gettext(":/:: conflict for target `%s'"),
 					     target->string_mb);
 			}
 		}
@@ -805,13 +806,13 @@
 		}
 		break;
 	default:
-		fatal_reader(catgets(catd, 1, 93, "Internal error. Unknown makefile type %d"),
+		fatal_reader(gettext("Internal error. Unknown makefile type %d"),
 			     makefile_type);
 	}
 	/* A target may only be involved in one target group */
 	if (line->body.line.target_group != NULL) {
 		if (target_group != NULL) {
-			fatal_reader(catgets(catd, 1, 94, "Too many target groups for target `%s'"),
+			fatal_reader(gettext("Too many target groups for target `%s'"),
 				     target->string_mb);
 		}
 	} else {
@@ -1078,7 +1079,7 @@
 	*insert = result;
 
 	if (trace_reader) {
-		(void) printf(NOCATGETS("Dynamic target %s:\n"), result->name->string_mb);
+		(void) printf("Dynamic target %s:\n", result->name->string_mb);
 	}
 	return( result);
 }
@@ -1133,7 +1134,7 @@
 
 	case svr4_special:
 		if (depes->used != 0) {
-			fatal_reader(catgets(catd, 1, 98, "Illegal dependencies for target `%s'"),
+			fatal_reader(gettext("Illegal dependencies for target `%s'"),
 				     target->string_mb);
 		}
 		svr4  = true;
@@ -1150,7 +1151,7 @@
 		if(svr4)
 		  break;
 		if (depes->used != 0) {
-			fatal_reader(catgets(catd, 1, 99, "Illegal dependencies for target `%s'"),
+			fatal_reader(gettext("Illegal dependencies for target `%s'"),
 				     target->string_mb);
 		}
 		posix  = true;
@@ -1159,7 +1160,7 @@
 			/* turn keep state off being SunPro make specific */
 		keep_state = false;
 		/* Use /usr/xpg4/bin/sh on Solaris */
-		MBSTOWCS(wcs_buffer, NOCATGETS("/usr/xpg4/bin/sh"));
+		MBSTOWCS(wcs_buffer, "/usr/xpg4/bin/sh");
 		(void) SETVAR(shell_name, GETNAME(wcs_buffer, FIND_LENGTH), false);
 		if (trace_reader) {
 			(void) printf("%s:\n", posix_name->string_mb);
@@ -1172,7 +1173,7 @@
 
 	case default_special:
 		if (depes->used != 0) {
-			warning(catgets(catd, 1, 100, "Illegal dependency list for target `%s'"),
+			warning(gettext("Illegal dependency list for target `%s'"),
 				target->string_mb);
 		}
 		default_rule = command;
@@ -1186,7 +1187,7 @@
 
 	case ignore_special:
 		if ((depes->used != 0) &&(!posix)){
-			fatal_reader(catgets(catd, 1, 101, "Illegal dependencies for target `%s'"),
+			fatal_reader(gettext("Illegal dependencies for target `%s'"),
 				     target->string_mb);
 		}
 		if (depes->used == 0)
@@ -1214,7 +1215,7 @@
 		if(posix)
 		  break;
 		if (depes->used != 0) {
-			fatal_reader(catgets(catd, 1, 102, "Illegal dependencies for target `%s'"),
+			fatal_reader(gettext("Illegal dependencies for target `%s'"),
 				     target->string_mb);
 		}
 		keep_state = true;
@@ -1234,7 +1235,7 @@
 			*/
 		keep_state = true;
 		if (depes->used != 0) {
-		   if((!make_state) ||(!strcmp(make_state->string_mb,NOCATGETS(".make.state")))) {
+		   if((!make_state) ||(!strcmp(make_state->string_mb,".make.state"))) {
 		     make_state = depes->names[0];
 		   }
 		}
@@ -1243,7 +1244,7 @@
 		if(svr4)
 		  break;
 		if (depes->used != 1) {
-			fatal_reader(catgets(catd, 1, 103, "Illegal dependency list for target `%s'"),
+			fatal_reader(gettext("Illegal dependency list for target `%s'"),
 				     target->string_mb);
 		}
 		if (depes->names[0] != current_make_version) {
@@ -1252,16 +1253,16 @@
 			 * are identical.
 			 */
 			if (!IS_EQUAL(depes->names[0]->string_mb,
-				      NOCATGETS("VERSION-1.1")) ||
+				      "VERSION-1.1") ||
 			    !IS_EQUAL(current_make_version->string_mb,
-				      NOCATGETS("VERSION-1.0"))) {
+				      "VERSION-1.0")) {
 				/*
 				 * Version mismatches should cause the
 				 * .make.state file to be skipped.
 				 * This is currently not true - it is read
 				 * anyway.
 				 */
-				warning(catgets(catd, 1, 104, "Version mismatch between current version `%s' and `%s'"),
+				warning(gettext("Version mismatch between current version `%s' and `%s'"),
 					current_make_version->string_mb,
 					depes->names[0]->string_mb);
 			}
@@ -1365,7 +1366,7 @@
 
 	case sccs_get_special:
 		if (depes->used != 0) {
-			fatal_reader(catgets(catd, 1, 105, "Illegal dependencies for target `%s'"),
+			fatal_reader(gettext("Illegal dependencies for target `%s'"),
 				     target->string_mb);
 		}
 		sccs_get_rule = command;
@@ -1378,7 +1379,7 @@
 
 	case sccs_get_posix_special:
 		if (depes->used != 0) {
-			fatal_reader(catgets(catd, 1, 106, "Illegal dependencies for target `%s'"),
+			fatal_reader(gettext("Illegal dependencies for target `%s'"),
 				     target->string_mb);
 		}
 		sccs_get_posix_rule = command;
@@ -1390,7 +1391,7 @@
 
 	case get_posix_special:
 		if (depes->used != 0) {
-			fatal_reader(catgets(catd, 1, 107, "Illegal dependencies for target `%s'"),
+			fatal_reader(gettext("Illegal dependencies for target `%s'"),
 				     target->string_mb);
 		}
 		get_posix_rule = command;
@@ -1405,7 +1406,7 @@
 		  break;
 		}
 		if (depes->used != 0) {
-			fatal_reader(catgets(catd, 1, 108, "Illegal dependencies for target `%s'"),
+			fatal_reader(gettext("Illegal dependencies for target `%s'"),
 				     target->string_mb);
 		}
 		get_rule = command;
@@ -1418,7 +1419,7 @@
 
 	case silent_special:
 		if ((depes->used != 0) && (!posix)){
-			fatal_reader(catgets(catd, 1, 109, "Illegal dependencies for target `%s'"),
+			fatal_reader(gettext("Illegal dependencies for target `%s'"),
 				     target->string_mb);
 		}
 		if (depes->used == 0)
@@ -1445,7 +1446,7 @@
 
 	default:
 
-		fatal_reader(catgets(catd, 1, 110, "Internal error: Unknown special reader"));
+		fatal_reader(gettext("Internal error: Unknown special reader"));
 	}
 }
 
@@ -1753,11 +1754,11 @@
 	if (string[0]=='F' &&
 	    string[1]=='C' &&
 	    string[2]=='\0') {
-		MBSTOWCS(wcs_buffer, NOCATGETS("F77"));
+		MBSTOWCS(wcs_buffer, "F77");
 		temp = GETNAME(wcs_buffer, FIND_LENGTH);
 		(void) SETVAR(temp, value, append);
 /*
-		fprintf(stderr, catgets(catd, 1, 111, "warning: FC is obsolete, use F77 instead\n"));
+		fprintf(stderr, gettext("warning: FC is obsolete, use F77 instead\n"));
  */
 	}
 
@@ -1799,8 +1800,8 @@
 	static wchar_t	colon_shell[7];
 
 	if (colon_sh[0] == (int) nul_char) {
-		MBSTOWCS(colon_sh, NOCATGETS(":sh"));
-		MBSTOWCS(colon_shell, NOCATGETS(":shell"));
+		MBSTOWCS(colon_sh, ":sh");
+		MBSTOWCS(colon_shell, ":shell");
 	}
 	Wstring nms((*name));
 	wchar_t * wcb = nms.get_string();
@@ -1857,7 +1858,7 @@
 		WCSTOMBS(mbs_buffer, file_being_read);
 		if (line_number != 0) {
 			(void) sprintf(message,
-				       catgets(catd, 1, 112, "%s, line %d: %s"),
+				       gettext("%s, line %d: %s"),
 				       mbs_buffer,
 				       line_number,
 				       pattern);
@@ -1871,21 +1872,21 @@
 	}
 
 	(void) fflush(stdout);
-	(void) fprintf(stderr, catgets(catd, 1, 238, "make: Fatal error in reader: "));
+	(void) fprintf(stderr, gettext("make: Fatal error in reader: "));
 	(void) vfprintf(stderr, pattern, args);
 	(void) fprintf(stderr, "\n");
 	va_end(args);
 
 	if (temp_file_name != NULL) {
 		(void) fprintf(stderr,
-			       catgets(catd, 1, 239, "make: Temp-file %s not removed\n"),
+			       gettext("make: Temp-file %s not removed\n"),
 			       temp_file_name->string_mb);
 		temp_file_name = NULL;
 	}
 
 	if (report_pwd) {
 		(void) fprintf(stderr,
-			       catgets(catd, 1, 115, "Current working directory %s\n"),
+			       gettext("Current working directory %s\n"),
 			       get_current_path());
 	}
 	(void) fflush(stderr);
--- old/usr/src/cmd/make/bin/rep.cc	2015-05-20 12:19:53.898841995 -0400
+++ new/usr/src/cmd/make/bin/rep.cc	2015-05-20 12:19:53.910531548 -0400
@@ -86,7 +86,7 @@
 		depinfo_already_read = true;
 	}
 					
-	search_dir = getenv(NOCATGETS("NSE_DEP"));
+	search_dir = getenv("NSE_DEP");
 	if (search_dir == NULL) {
 		return;
 	}
--- old/usr/src/cmd/make/bin/state.cc	2015-05-20 12:19:54.668769419 -0400
+++ new/usr/src/cmd/make/bin/state.cc	2015-05-20 12:19:54.680430927 -0400
@@ -145,9 +145,9 @@
 		return;
 	}
 	/* Lock the file for writing. */
- 	make_state_lockfile = getmem(strlen(make_state->string_mb) + strlen(NOCATGETS(".lock")) + 1);
+ 	make_state_lockfile = getmem(strlen(make_state->string_mb) + strlen(".lock") + 1);
  	(void) sprintf(make_state_lockfile,
- 	               NOCATGETS("%s.lock"),
+ 	               "%s.lock",
  	               make_state->string_mb);
 	if (lock_err = file_lock(make_state->string_mb, 
 				 make_state_lockfile, 
@@ -162,25 +162,25 @@
 		 */
 		
 		if (exiting) {
-			(void) sprintf(buffer, NOCATGETS("%s/.make.state.%d.XXXXXX"), tmpdir, getpid());
+			(void) sprintf(buffer, "%s/.make.state.%d.XXXXXX", tmpdir, getpid());
 			report_pwd = true;
-			warning(catgets(catd, 1, 60, "Writing to %s"), buffer);
+			warning(gettext("Writing to %s"), buffer);
 			int fdes = mkstemp(buffer);
 			if ((fdes < 0) || (fd = fdopen(fdes, "w")) == NULL) {
 				fprintf(stderr,
-					catgets(catd, 1, 61, "Could not open statefile `%s': %s"),
+					gettext("Could not open statefile `%s': %s"),
 					buffer,
 					errmsg(errno));
 				return;
 			}
 		} else {
 			report_pwd = true;
-			fatal(catgets(catd, 1, 62, "Can't lock .make.state"));
+			fatal(gettext("Can't lock .make.state"));
 		}
 	}
 
 	(void) sprintf(make_state_tempfile,
-	               NOCATGETS("%s.tmp"),
+	               "%s.tmp",
 	               make_state->string_mb);
 	/* Delete old temporary statefile (in case it exists) */
 	(void) unlink(make_state_tempfile);
@@ -190,7 +190,7 @@
  		retmem_mb(make_state_lockfile);
 		make_state_lockfile = NULL;
 		make_state_locked = false;
-		fatal(catgets(catd, 1, 59, "Could not open temporary statefile `%s': %s"),
+		fatal(gettext("Could not open temporary statefile `%s': %s"),
 		      make_state_tempfile,
 		      errmsg(lock_err));
 	}
@@ -208,17 +208,17 @@
 				make_state_lockfile = NULL;
 				make_state_locked = false;
 			}
-			fatal(catgets(catd, 1, 63, "Giving up on writing statefile"));
+			fatal(gettext("Giving up on writing statefile"));
 		}
 		sleep(10);
-		(void) sprintf(buffer, NOCATGETS("%s/.make.state.%d.XXXXXX"), tmpdir, getpid());
+		(void) sprintf(buffer, "%s/.make.state.%d.XXXXXX", tmpdir, getpid());
 		int fdes = mkstemp(buffer);
 		if ((fdes < 0) || (fd = fdopen(fdes, "w")) == NULL) {
-			fatal(catgets(catd, 1, 64, "Could not open statefile `%s': %s"),
+			fatal(gettext("Could not open statefile `%s': %s"),
 			      buffer,
 			      errmsg(errno));
 		}
-		warning(catgets(catd, 1, 65, "Initial write of statefile failed. Trying again on %s"),
+		warning(gettext("Initial write of statefile failed. Trying again on %s"),
 			buffer);
 	}
 
@@ -365,7 +365,7 @@
 	 		retmem_mb(make_state_lockfile);
 			make_state_lockfile = NULL;
 			make_state_locked = false;
-			fatal(catgets(catd, 1, 356, "Could not delete old statefile `%s': %s"),
+			fatal(gettext("Could not delete old statefile `%s': %s"),
 			      make_state->string_mb,
 			      errmsg(lock_err));
 		}
@@ -377,7 +377,7 @@
 	 		retmem_mb(make_state_lockfile);
 			make_state_lockfile = NULL;
 			make_state_locked = false;
-			fatal(catgets(catd, 1, 357, "Could not rename `%s' to `%s': %s"),
+			fatal(gettext("Could not rename `%s' to `%s': %s"),
 			      make_state_tempfile,
 			      make_state->string_mb,
 			      errmsg(lock_err));
--- old/usr/src/cmd/make/include/mk/defs.h	2015-05-20 12:19:55.302696334 -0400
+++ new/usr/src/cmd/make/include/mk/defs.h	2015-05-20 12:19:55.314390258 -0400
@@ -288,7 +288,6 @@
 extern	wchar_t		wcs_buffer2[];
 extern	wchar_t		*wcs_ptr;
 extern	wchar_t		*wcs_ptr2;
-extern	nl_catd		catd;
 extern	long int	hostid;
 
 /*
--- old/usr/src/cmd/make/include/mksh/defs.h	2015-05-20 12:19:55.988642040 -0400
+++ new/usr/src/cmd/make/include/mksh/defs.h	2015-05-20 12:19:56.000747752 -0400
@@ -25,12 +25,10 @@
  * Use is subject to license terms.
  */
 
-#include <avo/intl.h>
 #include <limits.h>		/* MB_LEN_MAX */
 #include <stdio.h>
 #include <stdlib.h>		/* wchar_t */
 #include <string.h>		/* strcmp() */
-#include <nl_types.h>		/* catgets() */
 #include <sys/param.h>		/* MAXPATHLEN */
 #include <sys/types.h>		/* time_t, caddr_t */
 #include <vroot/vroot.h>	/* pathpt */
@@ -898,7 +896,6 @@
 extern Boolean		make_state_locked;
 extern Boolean		out_err_same;
 extern pid_t		childPid;
-extern nl_catd		libmksh_catd;
 
 /*
  * RFE 1257407: make does not use fine granularity time info available from stat.
--- old/usr/src/cmd/make/include/vroot/vroot.h	2015-05-20 12:19:56.452604948 -0400
+++ new/usr/src/cmd/make/include/vroot/vroot.h	2015-05-20 12:19:56.464317020 -0400
@@ -58,6 +58,4 @@
 extern	int		stat_vroot(char *path, struct stat *buffer, pathpt vroot_path, pathpt vroot_vroot);
 extern	int		readlink_vroot(char *path, char *buffer, int buffer_size, pathpt vroot_path, pathpt vroot_vroot);
 
-
-extern nl_catd	libvroot_catd;
 #endif
--- old/usr/src/cmd/make/lib/Makefile	2015-05-20 12:19:56.854331291 -0400
+++ new/usr/src/cmd/make/lib/Makefile	2015-05-20 12:19:56.866013357 -0400
@@ -13,7 +13,6 @@
 
 SUBDIRS=bsd \
 	makestate \
-	mksdmsi18n \
 	mksh \
 	vroot
 
@@ -22,10 +21,11 @@
 clean	:=	TARGET = clean
 clobber	:=	TARGET = clobber
 lint	:=	TARGET = lint
+_msg	:=	TARGET = _msg
 
 .KEEP_STATE:
 
-all clean clobber lint install: $(SUBDIRS)
+all clean clobber lint install _msg: $(SUBDIRS)
 
 $(SUBDIRS):	FRC
 	@cd $@; pwd; $(MAKE) $(TARGET)
--- old/usr/src/cmd/make/lib/bsd/Makefile	2015-05-20 12:19:57.250737210 -0400
+++ new/usr/src/cmd/make/lib/bsd/Makefile	2015-05-20 12:19:57.262466700 -0400
@@ -28,4 +28,6 @@
 
 lint:
 
+_msg:
+
 include $(SRC)/lib/Makefile.targ
--- old/usr/src/cmd/make/lib/makestate/Makefile	2015-05-20 12:19:57.647721586 -0400
+++ new/usr/src/cmd/make/lib/makestate/Makefile	2015-05-20 12:19:57.659480855 -0400
@@ -25,6 +25,8 @@
 
 all clean clobber lint install: $(SUBDIRS)
 
+_msg:
+
 $(SUBDIRS):	FRC
 	@cd $@; pwd; $(MAKE) $(TARGET)
 
--- old/usr/src/cmd/make/lib/mksh/Makefile	2015-05-20 12:19:58.352132861 -0400
+++ new/usr/src/cmd/make/lib/mksh/Makefile	2015-05-20 12:19:58.363842312 -0400
@@ -24,6 +24,9 @@
 include $(SRC)/lib/Makefile.lib
 include ../../Makefile.com
 
+POFILE = libmksh.po
+POFILES = $(OBJECTS:%.o=%.po)
+
 LIBS = $(LIBRARY)
 SRCDIR = ../
 MAPFILES=
@@ -35,4 +38,11 @@
 
 lint:
 
+$(POFILE): $(POFILES)
+	$(CAT) $(POFILES) > $@
+
+_msg: $(MSGDOMAIN) $(POFILE)
+	$(RM) $(MSGDOMAIN)/$(POFILE)
+	$(CP) $(POFILE) $(MSGDOMAIN)
+
 include $(SRC)/lib/Makefile.targ
